<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2020                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/getdocument');
include_spip('inc/documents');
function action_ajouter_imagecci_dist($arg = null)
{

	if (is_null($arg)) {
		$securiser_action = charger_fonction('securiser_action', 'inc');
		$arg = $securiser_action();
	}

	if (is_null($arg) || !is_string($arg) || !isset($_FILES['fichiers']) || !is_array($_FILES['fichiers'])) {
		return array(
			"succes" => false,
			"data" => "argument invalide ou action non autorisé ou fichier introuvable",
		);
	}

	$arg = explode('-', $arg);
	if (count($arg) != 2) {
		return array(
			"succes" => false,
			"data" => "Argument d'objet invalide",
		);
	}

	$resultat = array(
		'data' => '',
	);
	include_spip('action/ajouter_documents');
	$ajouter_un_document = charger_fonction('ajouter_un_document', 'action');
	$conf = lire_config('conf_modele_cci');
	$align = lire_config('conf_alignement_modele_cci', 'left');
	$default_conf = !empty($conf['conf_modele_cci']) ? $conf['conf_modele_cci'] : 'doc';
	foreach ($_FILES['fichiers']['name'] as $index => $name) {
		// reconstruction d'un fichier singulier de type $_FILE
		$file = array();
		$file['name'] = $name;
		$file['type'] = $_FILES['fichiers']['type'][$index];
		$file['tmp_name'] = $_FILES['fichiers']['tmp_name'][$index];
		$file['error'] = $_FILES['fichiers']['error'][$index];
		$file['size'] = $_FILES['fichiers']['size'][$index];
		// surcharge pour spip
		$file['titrer'] = false;
		$file['mode'] = 'image';
		// insertion du document
		$res = $ajouter_un_document('new', $file, $arg[0], $arg[1], "image");
		if (is_numeric($res)) {
			$res = "<" . $default_conf . "$res|$align>";
		} else {
			$res = "[cci] Erreur $res";
		}
		$resultat['data'] .= $res;
	}

	echo json_encode($resultat);
}
